aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/test/lib
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2021-08-02 17:09:28 +0300
committerEgor Tensin <Egor.Tensin@gmail.com>2021-08-02 17:09:28 +0300
commitf482b972347631240a5e04a6d3450530517f3bd1 (patch)
treecc36ab5f8bce2bd40bf37d298f3bc52d82239088 /test/lib
parentworkflows/ci: rename to "CI" (diff)
downloadvk-scripts-f482b972347631240a5e04a6d3450530517f3bd1.tar.gz
vk-scripts-f482b972347631240a5e04a6d3450530517f3bd1.zip
.ci/ -> test/
Diffstat (limited to 'test/lib')
-rwxr-xr-xtest/lib/test.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/test/lib/test.sh b/test/lib/test.sh
new file mode 100755
index 0000000..0f6ee6c
--- /dev/null
+++ b/test/lib/test.sh
@@ -0,0 +1,27 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2020 Egor Tensin <Egor.Tensin@gmail.com>
+# This file is part of the "VK scripts" project.
+# For details, see https://github.com/egor-tensin/vk-scripts.
+# Distributed under the MIT License.
+
+set -o errexit -o nounset -o pipefail
+
+script_dir="$( dirname -- "${BASH_SOURCE[0]}" )"
+script_dir="$( cd -- "$script_dir" && pwd )"
+readonly script_dir
+
+run_test() {
+ local arg
+ echo
+ echo ======================================================================
+ for arg; do
+ echo -n "$arg "
+ done
+ echo
+ echo ======================================================================
+
+ PYTHONPATH="$script_dir/../.." python -m "$@"
+}
+
+run_test "$@"